%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		arista
Summary:	Easy to use multimedia transcoder for the GNOME Desktop
Version:	0.9.5
Release:	2%{dist}
License:	LGPLv2+
Group:		Applications/Multimedia
URL:		http://programmer-art.org/projects/arista-transcoder
Source:		http://programmer-art.org/media/releases/arista-transcoder/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	dbus-python
Requires:	pycairo
Requires:	pygtk2
Requires:	gstreamer-python
Requires:	gstreamer-plugins-good
Requires:	gstreamer-plugins-base

BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-setuptools-devel
BuildRequires:	gettext
BuildArch:	noarch

%description
A easy to use multimedia transcoder for the GNOME Desktop. Arista focuses on 
beingeasy to use by making the complex task of encoding for various devices 
simple. Pick your input, pick your target device, choose a file to save to and 
go. Features include automatic discovery of DVD media and V4L devices, ripping 
from DVD, V4L devices, or files, a live quality preview, and included presets
for the most popular devices currently in use.

%prep
%setup -q -n %{name}-%{version}
#%patch1 

sed -i -e 's|Icon=/usr/share/arista/ui/icon.svg|Icon=%{name}|g' \
	%{name}.desktop
%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install \
	--skip-build \
	--root=%{buildroot} \
	
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 ui/icon.svg \
	%{buildroot}%{_datadir}/pixmaps

rm -r %{buildroot}%{_datadir}/locale/templates
rm -r %{buildroot}%{_datadir}/doc/arista

install -dm 755 %{buildroot}/%{_libdir}

chmod 755 %{buildroot}%{python_sitelib}/%{name}/*.py
chmod 644 %{buildroot}%{python_sitelib}/%{name}/discoverer.py

desktop-file-validate %{buildroot}/%{_datadir}/applications/arista.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS LICENSE README.releases
%{_bindir}/arista-gtk
%{_bindir}/arista-transcode
%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*.py*
%dir %{python_sitelib}/%{name}/inputs
%{python_sitelib}/%{name}/inputs/*.py*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/presets
%{_datadir}/%{name}/presets/*
%dir %{_datadir}/%{name}/ui
%{_datadir}/%{name}/ui/*.svg
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{_libdir}/nautilus/extensions-2.0/python/*

%changelog
* Mon Aug 23 2011 <ismael@olea.org> 0.9.5-2
- building typo
* Mon Oct 04 2010 Claudio Rodrigo Pereyra Diaz <claudiorodrigo@pereyradiaz.com.ar> - 0.9.5-1
- Fix review issues
* Wed May 27 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.1-2
- Fix review issues
* Mon May 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.1-1
- initial release 
